#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           breeze-icons
Summary:        Breeze icon theme
Epoch:          1
Version: 5.42.0
Release:        %mkrel %rel
Group:          Graphical desktop/KDE
License:        LGPLv3
URL:            http://www.kde.org
Source0:        http://download.kde.org/stable/frameworks/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches

BuildArch:      noarch

BuildRequires:  kf5-macros

BuildRequires:  hardlink
BuildRequires:  symlinks

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)

Conflicts:      breeze < 5.4.95

%description
Breeze Plasma 5 icon theme. Compliant with FreeDesktop.org naming schema.

%files
%_kf5_iconsdir/breeze
%_kf5_iconsdir/breeze-dark

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build


# remove possible dangling symlinks
symlinks -rd %{buildroot}%{_kf5_iconsdir}

# As of 4.5.80, hardlink reports
#Linked 854
#saved 8265728
/usr/sbin/hardlink -c -v %{buildroot}%{_kf5_iconsdir}


# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/breeze/
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/breeze
fi


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 1:5.42.0-1.mga6
+ Revision: 1194105
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 1:5.32.0-1.mga6
+ Revision: 1088939
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 1:5.29.0-1.mga6
+ Revision: 1074510
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 1:5.28.0-1.mga6
+ Revision: 1072378
- New version 5.28.0

* Fri Nov 18 2016 daviddavid <daviddavid> 1:5.27.0-2.mga6
+ Revision: 1068206
- Breeze Dark is listed as Breeze in System Settings (kde#370213)

* Tue Oct 04 2016 neoclust <neoclust> 1:5.27.0-1.mga6
+ Revision: 1058445
- New version 5.27.0

* Mon Oct 03 2016 daviddavid <daviddavid> 1:5.26.0-2.mga6
+ Revision: 1058195
- add upstream patch to fix missing KCharSelect desktop file icon (kde#366427)

* Thu Sep 08 2016 neoclust <neoclust> 1:5.26.0-1.mga6
+ Revision: 1050507
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 1:5.25.0-1.mga6
+ Revision: 1045085
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 1:5.24.0-1.mga6
+ Revision: 1041307
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.23.0-1.mga6
+ Revision: 1021906
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 1:5.22.0-1.mga6
+ Revision: 1014316
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 1:5.21.0-1.mga6
+ Revision: 999613
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 1:5.20.0-1.mga6
+ Revision: 986304
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 1:5.19.0-1.mga6
+ Revision: 942225
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 1:5.18.0-1.mga6
+ Revision: 921259
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 1:5.17.0-2.mga6
+ Revision: 912951
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 1:5.17.0-1.mga6
+ Revision: 910021
- New version 5.17.0

* Mon Nov 30 2015 neoclust <neoclust> 1:5.16.0-4.mga6
+ Revision: 907237
- Fix conflicts

* Tue Nov 10 2015 neoclust <neoclust> 1:5.16.0-3.mga6
+ Revision: 900541
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-2.mga6
+ Revision: 899581
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-1.mga6
+ Revision: 899341
- imported package breeze-icons

